<?php
require('../cfg/res.php');
require('../cfg/cfg.php');

$xacceso=0;
$sql_acce='select * from usrdoc1 where docu = "DRTR" and cons="1" and user="'.$_SESSION['user_vcrx_id'].'" ';
$res_acce=mysql_query($sql_acce,$link_vcrx);
if (mysql_num_rows($res_acce)!=0){$xacceso=1;}
if (mb_stristr('sist.supe',$_SESSION['user_vcrx_tipo'])){$xacceso=1;}
if ($xacceso==0){echo '<font size="8" color="red"><b>';die('No tiene acceso a modificar directores' );}	


//mysql_query("SET NAMES 'utf8'");

$sql_tabla='update enti0 set enti_descri=concat(enti_ape1," ",enti_ape2," ",enti_nom1," ",enti_nom2) where enti_descri is null and enti_ape1!=""';
$res_tabla=mysql_query($sql_tabla,$link_vcrx);


$sql_updr='update enti0 set enti_drtr="1" where enti_codigo in (select drtr from vtas1) and enti_drtr!="1"';
//echo $sql_updr;
//mysql_query($sql_updr,$link_vcrx);


$sql_dire='select *from enti00 where enti_codigo in (select enti from vtas1 union select enti from clie1 union select user_cedula from user0) order by enti_drtr desc, enti_descri  ';
//$sql_dire='select *from enti0  order by enti_drtr desc, enti_descri ';
$res_dire=mysql_query($sql_dire,$link_vcrx);

?>


<script type="text/javascript">
function director_d(indxd)
{
	for(i=0;i<=document.getElementsByClassName('pdc_t1').length-1;i++)
	{
		document.getElementsByClassName('pdc_t1').item(i).style.background='none';
		document.getElementsByName('btn_ped_c').item(i).disabled=true;
		document.getElementsByName('btn_ped_c').item(i).style.cursor='progress';
	}
	
	document.getElementById(indxd).style.background='#eee';
	//document.getElementById('director_d').innerHTML='<img src="../img/loader.gif" width="40" />';
	document.getElementById('director_d').innerHTML='CARGANDO...';
	document.body.style.cursor='progress';
		
	$.ajax({
		url:'../lib/updrtr2.php',
		type:'POST',
		data:{indx:indxd},
		success: function(dato)
		{
			
			document.getElementById('director_d').innerHTML='';
			document.getElementById('director_d').innerHTML=dato;
			document.body.style.cursor='auto';
			for(i=0;i<=document.getElementsByClassName('pdc_t1').length-1;i++)
			{
				document.getElementsByName('btn_ped_c').item(i).disabled=false;
				document.getElementsByName('btn_ped_c').item(i).style.cursor='auto';
			}

		}			
				

	});
}
//document.getElementById('sub_titulo').innerHTML='<?php //echo "Empresarios";?>';
/*
var Dia = new Array("Domingo", "Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado", "Domingo");
var Mes = new Array("01","02","03","04","05","06","07","08","09","10","11","12");

var Hoy = new Date();
var Anio = Hoy.getFullYear();

var Fecha = Hoy.getDate() + "/" + Mes[Hoy.getMonth()] + "/" + Anio;
*/
/*
console.log(Fecha);
document.getElementById("fecha_ini").value="007";
*/
function anular_pedido(docu,id,stox)
{
	if (confirm('¿Desea Anular su Pedido?')) 
	{
		document.getElementById('e_pedido').disabled=false;
		$.ajax({
			url:'../lib/vranula.php',
			type:'POST',
			data:{docu:docu,id:id,stox:stox},
			success: function(dato)
			{
				console.log('+'+dato);
				window.location.reload();
				//alert('Pedido Eliminado');
			},
			error: function(objeto)
			{
				console.log(objeto);
			}
		});
		document.getElementById('e_pedido').disabled=true;
	}
}
function redireccionar() 
{
var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;
pagina="?opt=<?php echo $_GET['opt']?>&tipo=<?php echo $_GET['tipo']?>"+"&fecha_ini="+fecha_ini+"&fecha_fin="+fecha_fin;

pagina="?opt=<?php echo $_GET['opt']?>"+"&tipo=<?php echo $_GET['tipo']?>"+"&enti=<?php echo $_GET['enti']?>"+"&fecha_ini="+fecha_ini+"&fecha_fin="+fecha_fin;

location.href=pagina;
} 
function updrtr(ci,tipo,idx)
{
	var res = idx.substring(1, idx.length);
        

	
	$.ajax({
		url:'../lib/updrtr1.php',
		type:'POST',
		data:{ci:ci,tipo:tipo},
		success: function(dato)
		{
			console.log(dato);
			if(dato=='0')
			{
				alert('Atualizado Correctamente.');
				//window.location.reload();
                                document.getElementById(tipo+res).style.display='block';
	                       if(tipo=='1')
                               {
		                   tipo='0';
	                       }
 	                       else
	                       {
		                   tipo='1';
	                       }
	                       document.getElementById(tipo+res).style.display='none';
			}
			else
			{
				alert('Error de Conexion.');
			}
		},
		error:function(objeto)
		{
			console.log(objeto);
		}
	});
}
function comi(idcomi,e)
{
	if(e.keyCode==13)
	{
		
		if(confirm("Desea Actualizar Comision?"))
		{
			$.ajax({
		cache:false,
		url:'../lib/updrtr3.php',
		datatype: "text",
	    async:false,
		type:'POST',
		data:{comi:document.getElementById('comi_'+idcomi).value,enti_codigo:idcomi}, 
    	beforeSend: function(jqXHR, textStatus)
		{
	
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
			alert(dato);
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {
              console.log('Not connect: Verify Network.');
           } else if (jqXHR.status == 404) {
               console.log('Requested page not found [404]');
           } else if (jqXHR.status == 500) {
               console.log('Internal Server Error [500].');
           } else if (exception === 'parsererror') {
               console.log('Requested JSON parse failed.');
           } else if (exception === 'timeout') {
               //console.log('Time out error.');
			   alert('Servidor no Responde');
           } else if (exception === 'abort') {
               console.log('Ajax request aborted.');
           } else {
               console.log('Uncaught Error: ' + jqXHR.responseText);
           }

		}, 
	    complete:function(jqXHR, textStatus)
    	{
			
			if(textStatus==='success')
	        {
    	
			}           
		},
		timeout:30000
		});

		}
	}
	
}

function dcto(iddcto,e)
{
	if(e.keyCode==13)
	{
		
		if(confirm("Desea Actualizar Descuento?"))
		{
			$.ajax({
		cache:false,
		url:'../lib/updrtr4.php',
		datatype: "text",
	    async:false,
		type:'POST',
		data:{dcto:document.getElementById('dcto_'+iddcto).value,enti_codigo:iddcto}, 
    	beforeSend: function(jqXHR, textStatus)
		{
	
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
			alert(dato);
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {
              console.log('Not connect: Verify Network.');
           } else if (jqXHR.status == 404) {
               console.log('Requested page not found [404]');
           } else if (jqXHR.status == 500) {
               console.log('Internal Server Error [500].');
           } else if (exception === 'parsererror') {
               console.log('Requested JSON parse failed.');
           } else if (exception === 'timeout') {
               //console.log('Time out error.');
			   alert('Servidor no Responde');
           } else if (exception === 'abort') {
               console.log('Ajax request aborted.');
           } else {
               console.log('Uncaught Error: ' + jqXHR.responseText);
           }

		}, 
	    complete:function(jqXHR, textStatus)
    	{
			
			if(textStatus==='success')
	        {
    	
			}           
		},
		timeout:30000
		});

		}
	}
	
}

</script>









<div align="left" style=" max-height:300px; overflow-y:scroll; margin-top:5px;">


<table width="90%" cellpadding="2" cellspacing="0" style="font-size:12px; border-collapse:collapse; border:solid 1px #000;">
<tr align="center" style="border:1px solid #000;">
<th>DIR</th>
<th></th>
<th>CI</th>

<th style="">NOMBRES</th>
<th style="">DCTO</th>
<th style="">COMI</th>
<th style="">PROVINCIA /CIUDAD</th>




</tr>
<?php
$fila_t=1;
$borde_t='border-bottom:dotted 1px #000;';
while($_dire=mysql_fetch_assoc($res_dire))
{
?>


<tr  class="pdc_t1" id="<?php echo $_dire['enti_codigo']; ?>" style=" <?php if($fila_t==5){echo $borde_t; $fila_t=1;}else{$fila_t++;}?> ">
	<td align="center">
    	
        <?php

			if(isset($_dire['enti_drtr']) && !empty($_dire['enti_drtr'])&& $_dire['enti_drtr']=='1' )
			{
			  $stilo1="display:block;";
                          $stilo2="display:none;";
                        }
			else
			{
                          $stilo1="display:none;";
                          $stilo2="display:block;";
                        }

		?>
        <input type="image" src="http://vcrxol.com/_img/ico_drtr1.png" onClick="updrtr('<?php echo $_dire['enti_codigo'];?>','0',this.id);" style="<?php echo  $stilo1; ?>" id="1<?php echo $_dire['enti_codigo'];?>"  />
       	<input type="image" src="http://vcrxol.com/_img/ico_drtr0.png" onClick="updrtr('<?php echo $_dire['enti_codigo'];?>','1',this.id);" style="<?php echo  $stilo2; ?>" id="0<?php echo $_dire['enti_codigo'];?>" />
		
			
		
    </td>
    <td>
    <input type="image" onclick="director_d('<?php echo $_dire['enti_codigo']; ?>');" src="http://vcrxol.com/_img/director.png" width="20" class="btn_ped_c" name="btn_ped_c" />
    </td>

	<td><?php echo $_dire['enti_codigo'];?></td>

	<td><?php echo $_dire['enti_descri'];?></td>
    <td><input type="text" id="dcto_<?php echo $_dire['enti_codigo'];?>" value="<?php echo $_dire['enti_dcto'];?>" onkeypress="dcto('<?php echo $_dire['enti_codigo'];?>',event)" style="border:solid 1px #000; width:50px; text-align:right;" /></td>
    <td><input type="text" id="comi_<?php echo $_dire['enti_codigo'];?>" value="<?php echo $_dire['enti_comi'];?>" onkeypress="comi('<?php echo $_dire['enti_codigo'];?>',event)" style="border:solid 1px #000; width:50px;text-align:right;" /></td>
	<td><?php echo $_dire['prvc_descri'].' /'.$_dire['cdad_descri'];?></td>
</tr>
<?php	
}
?>
</table>
</div>
<div id="director_d" style="padding-top:10px; "></div>
<script type="text/javascript">

</script>